Subject: bug#37553: closed (Re: [bug#37553] [PATCH] inferior: Change to use the (guix repl) module.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Oct 2019 19:27:02 +0000

Your bug report

#37553: [PATCH] inferior: Change to using guix-repl.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37553: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37553
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#37553] [PATCH] inferior: Change to use the (guix repl) module.
From: Christopher Baines <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Oct 2019 20:26:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Christopher Baines <[email-masked]> skribis:
>
>> Rather than (guix scripts repl), from which the machine-repl procedure was
>> removed in [1].
>>
>> 1: 92a4087bf4862d5ba9b77111eba3c68c2a1c4679
>>
>> * guix/inferior.scm (inferior-pipe): Load (guix repl) rather than (guix
>> scripts repl).
>> ---
>>  guix/inferior.scm | 4 ++--
>>  1 file changed, 2 insertions(+), 2 deletions(-)
>>
>> diff --git a/guix/inferior.scm b/guix/inferior.scm
>> index dcbc954432..d6d2053ab8 100644
>> --- a/guix/inferior.scm
>> +++ b/guix/inferior.scm
>> @@ -136,8 +136,8 @@ it's an old Guix."
>>                        (object->string
>>                         `(begin
>>                            (primitive-load ,(search-path %load-path
>> -                                                        "guix/scripts/repl.scm"))
>> -                          ((@ (guix scripts repl) machine-repl))))))
>> +                                                        "guix/repl.scm"))
>> +                          ((@ (guix repl) machine-repl))))))
>>          pipe)))
>
> This one LGTM!

Great :) I've pushed it as 2cd599f005bb91ae120a66824b8efbac81a27a69.

> (Note that this code is only used when spawning an inferior for a
> revision that dates back to before ‘guix repl’ existed, so before July
> 2018.)

Yep, I've been experimenting with loading older revisions in to the Guix
Data Service, and this is one of the issues I came across.

Subject: [PATCH] inferior: Change to using guix-repl.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sun, 29 Sep 2019 14:01:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Rather than machine-repl, that was removed in [1]. While this could work if
the %load-path is such that a module that defines machine-repl is loaded, I
believe the intent is that the (guix scripts repl) module comes from the Guix
managing the inferior. Therefore, matching the changes in [1], switch to
calling the guix-repl function with the right arguments.

1: 92a4087bf4862d5ba9b77111eba3c68c2a1c4679

* guix/inferior.scm (inferior-pipe): Call guix-repl, rather than machine-repl,
and add necessary arguments.
---
 guix/inferior.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/guix/inferior.scm b/guix/inferior.scm
index dcbc954432..7c0143062b 100644
--- a/guix/inferior.scm
+++ b/guix/inferior.scm
@@ -137,7 +137,8 @@ it's an old Guix."
                        `(begin
                           (primitive-load ,(search-path %load-path
                                                         "guix/scripts/repl.scm"))
-                          ((@ (guix scripts repl) machine-repl))))))
+                          ((@ (guix scripts repl) guix-repl)
+                           "-t" "machine")))))
         pipe)))
 
 (define* (port->inferior pipe #:optional (close close-port))
-- 
2.23.0